%define		PYVER		2.6
%define		__python	python%{PYVER}
%define		PVER		%(echo %{PYVER} | awk -F. '{print$1$2}')
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Summary:	Nmap is a utility for network exploration and security auditing.
Name:		nmap
Provides:	nmapfe
Version:	5.21
Release:	1
BuildArch:	i686
Group:		Networking/Other
License:	GNU/GPL
URL:		http://www.insecure.org/nmap/
Source0:	%{name}-%{version}.tgz
Source200:	%{name}.png
Patch0:		%{name}-4.01-desktop.patch
BuildRoot:	/var/tmp/%{name}-%{version}-buildroot

Requires:       openssl
Requires:       pcre
Requires:       gtk+
Requires:       libpcap

BuildRequires:  openssl-devel
BuildRequires:  gtk+-devel
BuildRequires:  libpcap-devel
BuildRequires:  atk-devel
BuildRequires:  glibc-devel
BuildRequires:  cairo-devel
BuildRequires:  openssl-devel
BuildRequires:  glib-devel
BuildRequires:  gtk2+-devel
BuildRequires:  pcre-devel
BuildRequires:  libstdc++-devel
BuildRequires:  pango-devel python26-devel


%description
Nmap is a utility for network exploration and security auditing.
It supports ping scanning, port scanning and TCP/IP fingerprinting.
Includes graphical front-end nmapfe.

%prep
%setup -n %{name}-%version
FIX=$(find -type f -name "*" -exec grep -I -l -e "^#!/usr/bin/python" -e "^#!/usr/bin/env python" -e "^#! /usr/bin/python" -e "^#! /usr/bin/env python" "{}" \; )
for i in $FIX; do
    sed -i "s,^#!/usr/bin/python,#!/usr/bin/python%{PYVER}," $i
    sed -i "s,^#! /usr/bin/python,#!/usr/bin/python%{PYVER}," $i
    sed -i "s,^#!/usr/bin/env python,#!/usr/bin/env python%{PYVER}," $i
    sed -i "s,^#! /usr/bin/env python,#!/usr/bin/env python%{PYVER}," $i    
done

%build
./configure \
--prefix=%_prefix \
--mandir=%_mandir \
--libexecdir=%_libdir/nmap \
--disable-debug PYTHON=/usr/bin/python%{PYVER}
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%_pixmaps
cp %{SOURCE200} $RPM_BUILD_ROOT%_pixmaps

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGELOG HACKING COPYING* README* 
%_bindir/nmap
%_bindir/ncat
%_bindir/ndiff
%_bindir/xnmap
%_bindir/zenmap
%_bindir/uninstall_zenmap
%_bindir/nmapfe
%{python_sitelib}
%_datadir


%changelog
* Fri Jan 29 2010 Christian Metzen <metzench@ccux-linux.de> 5.21-1
- Version update
* Fri Nov 20 2009 Christian Metzen <metzench@ccux-linux.de> 4.76-3
- python 2.6
* Tue May 12 2009 Christian Wasem <wasem@ccux-linux.de> 4.76-2
- rebuilt with explicit /usr/bin/python2.5
* Sun Sep 14 2008 Christian Metzen <metzench@ccux-linux.de> 4.76-1
- Version update
* Thu Sep 11 2008 Christian Metzen <metzench@ccux-linux.de> 4.75-1
- Version update
* Wed Jan 09 2008 Christian Metzen <metzench@ccux-linux.de> 4.50-2
- moved libexecdir
* Thu Dec 13 2007 Karsten Brockmann <arcam@ccux-linux.de> 4.50-1
- Version update
* Wed Dec 27 2006 Karsten Brockmann <arcam@ccux-linux.de> 4.20-1
- Version update
* Sun Jun 25 2006 Christian Metzen <metzench@ccux-linux.de> 4.11-1
- Version Update
* Wed Jun 14 2006 Karsten Brockmann <arcam@ccux-linux.de> 4.10-1
- Version Update
* Mon Apr 24 2006 Karsten Brockmann <arcam@ccux-linux.de> 4.03-1
- Version Update
* Sun Feb 12 2006 Christian Wasem <wasem@ccux-linux.de> 4.01-2
- rebuilt, added desktop/icon patch
* Fri Feb 10 2006 Christian Metzen <metzench@ccux-linux.de> 4.01-1
- Version Update
* Thu Feb 02 2006 Karsten Brockmann <arcam@ccux-linux.de> 4.00-1
- Version Update
* Sun Jan 29 2006 Christian Metzen <metzench@ccux-linux.de> 3.9999-1
- Version Update
* Sat Jan 28 2006 Christian Metzen <metzench@ccux-linux.de> 3.999-1
- Version Update
* Sat Dec 10 2005 Karsten Brockmann <arcam@ccux-linux.de> 3.95-1
- Version Update
* Mon Sep 12 2005 Christian Metzen <metzench@ccux-linux.de> 3.93-1
- Version update
* Sat Sep 10 2005 Christian Metzen <metzench@ccux-linux.de> 3.90-1
- Version update
* Fri Jul 08 2005 Karsten Brockmkann <brockmka@rz.fh-augsburg.de> 3.81-3
- rebuilt against openssl 0.9.8, libstc++ 3.4.4
* Tue Jun 14 2005 Christian Metzen <metzench@ccux-linux.de> 3.81-2
- Moved .desktop location
* Sun Jun 05 2005 Karsten Brockmann <brockmka@rz.fh-augsburg.de> 3.81-1
- Version Update / rebuilt spec 
* Tue Sep 27 2004 Christian Metzen <metzench@ccux-linux.de> 3.70-1
- Initial Release
